/*	Public domain	*/

#ifndef _FREESG_SG_GUI_H_
#define _FREESG_SG_GUI_H_

#include <agar/math.h>

#include <freesg/sg/sg_view.h>
#include <freesg/sg/sg_palette_view.h>

#include <freesg/sg/icons.h>

#include <freesg/sg/begin.h>

__BEGIN_DECLS
extern AG_Object sgVfsRoot;			/* General-purpose VFS */

void       SG_InitGUI(void);
void       SG_DestroyGUI(void);

void       SG_FileMenu(AG_MenuItem *, void *, AG_Window *);
void       SG_EditMenu(AG_MenuItem *, void *, AG_Window *);
void       SG_ViewMenu(AG_MenuItem *, void *, AG_Window *, SG_View *);

AG_Window *SG_GUI_OpenObject(void *);
void       SG_GUI_NewObject(AG_Event *);
AG_Object *SG_GUI_LoadObject(AG_ObjectClass *, const char *);
void       SG_GUI_OpenDlg(AG_Event *);
void       SG_GUI_SaveAsDlg(AG_Event *);
void       SG_GUI_Save(AG_Event *);
void       SG_GUI_Quit(AG_Event *);
void       SG_GUI_Undo(AG_Event *);
void       SG_GUI_Redo(AG_Event *);
void       SG_GUI_EditPreferences(AG_Event *);
void       SG_GUI_SelectFontDlg(AG_Event *);
void       SG_GUI_CreateNewDlg(AG_Event *);

void       SG_GUI_PollNodes(AG_Event *);
void       SG_GUI_CreateNewView(AG_Event *);
SG_Node   *SG_GUI_CreateNode(SG *, AG_ObjectClass *);
void	   SG_GUI_DeleteNode(SG_Node *, SG_View *);
void       SG_GUI_NodePopupMenu(AG_Event *);
void       SG_GUI_EditNode(SG_Node *, AG_Widget *, SG_View *);
__END_DECLS
#include <freesg/sg/close.h>

#endif /* _FREESG_SG_GUI_H_ */
