/*	Public domain	*/

typedef struct sk_pixmap {
	struct sk_node node;
	SK_Point *p;			/* Center point */
	M_Real w, h;			/* Dimensions */
	M_Real alpha;			/* Overall alpha */
	int s;				/* Mapped surface */
	AG_Surface *sSrc;		/* Source surface */
} SK_Pixmap;

#define SK_PIXMAP(n) ((SK_Pixmap *)(n))

__BEGIN_DECLS
extern SK_NodeOps skPixmapOps;

SK_Pixmap *SK_PixmapNew(void *, SK_Point *);
void	   SK_PixmapInit(void *, Uint);
void	   SK_PixmapDestroy(void *);
int	   SK_PixmapLoad(SK *, void *, AG_DataSource *);
int	   SK_PixmapSave(SK *, void *, AG_DataSource *);
void	   SK_PixmapDraw(void *, struct sk_view *);
void	   SK_PixmapEdit(void *, struct ag_widget *, struct sk_view *);
M_Real	   SK_PixmapProximity(void *, const M_Vector3 *, M_Vector3 *);
int	   SK_PixmapDelete(void *);
int	   SK_PixmapMove(void *, const M_Vector3 *, const M_Vector3 *);
SK_Status  SK_PixmapConstrained(void *);

void	   SK_PixmapDimensions(SK_Pixmap *, M_Real, M_Real);
void	   SK_PixmapAlpha(SK_Pixmap *, M_Real);
void	   SK_PixmapSurface(SK_Pixmap *, AG_Surface *);
__END_DECLS
